%define upstream_name    Erlang-Parser
%define upstream_version 0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Erlang source code parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Erlang/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Parse::Lex) >= 2.200.0
BuildRequires: perl(Parse::Yapp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
the Erlang::Parser manpage is an Erlang source code parser. You can feed
'parse()' any fragment of code which would be acceptable at the top-level
of a '.erl' file, including a full file.

Methods
    * 'parse'

      Parses an top-level Erlang declarations from a string, list of lines
      of code, or filehandle. Returns a list of top-level nodes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Nov 07 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 164997
- update to 0.4

* Sun Nov 06 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 164355
- imported package perl-Erlang-Parser


* Sun Nov 06 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
